Berkeley DB version 4.7.25

## com.sleepycat.db
Interface BtreePrefixCalculator

    public interface BtreePrefixCalculator

An interface specifying how Btree prefixes should be calculated.

Method Summary
`int` `prefix(Database db, DatabaseEntry dbt1, DatabaseEntry dbt2)` The application-specific Btree prefix callback.

Method Detail

### prefix

    int prefix(Database db,
               DatabaseEntry dbt1,
               DatabaseEntry dbt2)

  The application-specific Btree prefix callback.

  Parameters:
    `db` - The enclosing database handle.
    `dbt1` - A database entry representing a database key.
    `dbt2` - A database entry representing a database key.

Berkeley DB version 4.7.25

Copyright (c) 1996,2008 Oracle. All rights reserved.